import matplotlib
import matplotlib.pyplot as plt
import numpy as np

# Data for plotting
t = np.arange(1, 526)
s = 1/(1 + np.exp(1-(525/t)))

fig, ax = plt.subplots()
ax.plot(t, s)

ax.set(xlabel='Rank of the features', ylabel='Weight')
ax.grid()

fig.savefig("../Results/plot.eps")
plt.show()